
// 返回处理
export enum RESULT_NUM {
    OK = 1,           // 成功返回
    ERROR = 1000,     // 未知异常
    LOGIN_ERROR,      // 登录失败
    USER_EXIST,       // 用户已存在
}

// 权限AUTH
export enum AUTH {
    R = 1,     // 读
    W = 2,     // 写
    RW = 3,    // 读写
}

// 模块编号
export enum FM {
    DB_MGR = "db_mgr",                      // 数据库管理
    AUTH_MGR = "auth_mgr",                  // 权限管理
    USER_MGR = "user_mgr",                  // 用户管理
    WEB_SHELL = "web_shell",                // 服务端控制台
    CLIENT_WEB_SHELL = "client_web_shell",  // 客户端控制台
    PT_LOAD_INFO = "pt_load_info",          // 平台负载信息
    RPC_CONSOLE = "rpc_console",            // rpc控制台
}